#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: ixset-typed
version: 0.4.0.1
id: ixset-typed-0.4.0.1-EzIwbWbtjHxFa0UEbpaYLW
key: ixset-typed-0.4.0.1-EzIwbWbtjHxFa0UEbpaYLW
license: BSD-3-Clause
maintainer: Andres Löh <andres@well-typed.com>
author: Andres Löh, Happstack team, HAppS LLC
synopsis: Efficient relational queries on Haskell sets.
description:
    This Haskell package provides a data structure of sets that are indexed
    by potentially multiple indices.
    .
    Sets can be created, modified, and queried in various ways.
    .
    The package is a variant of the <https://hackage.haskell.org/package/ixset ixset>
    package. The ixset package makes use
    of run-time type information to find a suitable index on a query, resulting
    in possible run-time errors when no suitable index exists. In ixset-typed,
    the types of all indices available or tracked in the type system.
    Thus, ixset-typed should be safer to use than ixset, but in turn requires
    more GHC extensions.
    .
    At the moment, the two packages are relatively compatible. As a consequence
    of the more precise types, a few manual tweaks are necessary when switching
    from one to the other, but the interface is mostly the same.
category: Data Structures
abi: 2654eac7991bc597577b4b7e4bfabf9f
exposed: True
exposed-modules:
    Data.IxSet.Typed Data.IxSet.Typed.Ix
import-dirs: /usr/lib/ghc-8.4.3/site-local/ixset-typed-0.4.0.1
library-dirs: /usr/lib/ghc-8.4.3/site-local/ixset-typed-0.4.0.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.3/ixset-typed-0.4.0.1
hs-libraries: HSixset-typed-0.4.0.1-EzIwbWbtjHxFa0UEbpaYLW
depends:
    base-4.11.1.0 containers-0.5.11.0 deepseq-1.4.3.0
    safecopy-0.9.4.1-HBUHRVVOFCPBZgeZ3urr6s
    syb-0.7-2jW43lwzJV5e7EQvU8PxV template-haskell-2.13.0.0
abi-depends: base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             containers-0.5.11.0=7795138514357bd2e41eaf59b6cfce4f
             deepseq-1.4.3.0=00d8faa7363cb0be9acd709ef6549e22
             safecopy-0.9.4.1-HBUHRVVOFCPBZgeZ3urr6s=e6cfbd0b281e880a01d2605371d21382
             syb-0.7-2jW43lwzJV5e7EQvU8PxV=5f5748e150104b1ef02b228d94777541
             template-haskell-2.13.0.0=1ce4a454c5861830bbdedc46baa462f3
haddock-interfaces: /usr/share/doc/haskell-ixset-typed/html/ixset-typed.haddock
haddock-html: /usr/share/doc/haskell-ixset-typed/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

